package com.vaadin.demo.tutorial.addressbook.ui;

import com.vaadin.ui.Button;
import com.vaadin.ui.Button.ClickEvent;
import com.vaadin.ui.CheckBox;
import com.vaadin.ui.Label;
import com.vaadin.ui.Layout;
import com.vaadin.ui.VerticalLayout;
import com.vaadin.ui.Window;

@SuppressWarnings("serial")
public class SharingOptions extends Window {
	
  public SharingOptions() {
    /*
     * Make the window modal, which will disable all other components while it
     * is visible
     */
    setModal(true);

    /* Make the sub window 50% the size of the browser window */
    setWidth("50%");
    /*
     * Center the window both horizontally and vertically in the browser window
     */
    center();

    setCaption("Sharing options");
    
    Layout l = new VerticalLayout();
    
    l.addComponent(new Label("With these setting you can modify contact sharing "
        + "options. (non-functional, example of modal dialog)"));
    l.addComponent(new CheckBox("Gmail"));
    l.addComponent(new CheckBox(".Mac"));
    Button close = new Button("OK");
    close.addClickListener(new Button.ClickListener() {
      public void buttonClick(ClickEvent event) {
        SharingOptions.this.close();
      }
    });
    l.addComponent(close);
    
    setContent(l);
  }
}